<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.Extract"
	import="net.sf.basedb.core.BioMaterial"
	import="net.sf.basedb.core.MeasuredBioMaterial"
	import="net.sf.basedb.core.BioMaterialEventSource"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.BioWell"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.core.ItemQuery"
	import="net.sf.basedb.core.query.Restrictions"
	import="net.sf.basedb.core.query.Hql"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.WellCoordinateFormatter"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Arrays"
	import="java.util.Enumeration"
	import="java.util.Collections"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.meludi");
final String root = request.getContextPath();
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension meludi = ExtensionsControl.get(dc).getExtension("net.sf.basedb.meludi");
	final User user = User.getById(dc, sc.getLoggedInUserId());

	String submitInfoJsonStr = Values.getStringOrNull(request.getParameter("hiddenSubmitInfo"));
	Integer numItems = Values.getInteger(request.getParameter("hiddenNumItems"), null);
%>
<base:page id="protocol" type="iframe" favicon="<%=home+"/images/report.png"%>" noskin="true">
<base:head
	scripts="~../meludi-2.js,~libprep_dilution_protocol.js" 
	styles="~../css/meludi-2.css,~../css/printable.css"
	>

	<style>
	h1
	{
		margin-top: 1em;
	}
	
	h2
	{
		margin-bottom: 0;
		font-size: 1.2em;
	}
	
	table.protocolheader
	{
		width: 100%;
		border: 1px solid #000000;
		margin-bottom: 1em;
/*
		border-collapse: collapse;
*/
	}
	
	table.protocolheader > tbody > tr
	{
		vertical-align: middle;
		height: 2.5em;
		max-height: 2.5em;
		border-bottom: 1px solid #000000;
		border-top: 1px solid #000000;
	}

	table.protocolheader > tbody > tr > th
	{
		text-align: left;
		font-size: 1em;
		background-color: #F0F0F0;
		padding: 4px;
		border-left: 1px solid #000000;
		border-right: 1px solid #000000;
	}

	table.protocolheader > tbody > tr > th.subprompt
	{
		text-align: right;
		font-weight: normal;
	}

	
	table.protocolheader > tbody > tr > td
	{
		text-align: left;
		font-size: 1em;
		padding: 4px;
	}
	
	.lowvolume
	{
		color: #C80000;
	}

	.colorbox 
	{
		display: inline-block;
		width: 0.75em; 
		height: 0.75em; 
		border: 1px solid #000000;
		margin-left: 0em;
		margin-right: 0.5em;
	}
	
	.patient-legend
	{
		width: 8em;
		text-align: center !important;
	}
	
	.allcases-legend
	{
		width: 8em;
		text-align: center !important;
	}
	
	.green
	{
		background-color: #D8F8D8;
	}
	.green.darker
	{
		background-color: #A0F8A0;
	}
	
	.blue
	{
		background-color: #D8E8FF;
	}
	.blue.darker
	{
		background-color: #B8B8FF;
	}
	
	.yellow
	{
		background-color: #FFFFD8;
	}
	.yellow.darker
	{
		background-color: #FFFFA0;
	}
	
	.red
	{
		background-color: #FFC8C8;
	}
	.red.darker
	{
		background-color: #F8A0A0;
	}

	#allprepLabTrackingProtocolHeader
	{
		font-size: 1.2em;
	}

	.reagent
	{
		width: 70%;
		height: 80%;
		font-size: 0.9em;
	}

	.reagentheader
	{
		width: 30%;
		height: 80%;
		font-size: 0.9em;
	}
	</style>
</base:head>
<base:body>
	<div class="paper">
	<form name="meludi" id="wizard">

	<div id="page-data" class="datacontainer"
		data-submitinfo="<%=HTML.encodeTags(submitInfoJsonStr)%>"
		data-numitems="<%=numItems%>"
		data-meludiversion="<%=meludi.getAbout().getVersion()%>"
	></div>
	
	<div id="wizard-status"></div>
	
	<div id="all-protocol" style="display: none;">

	<div id="print-instructions" class="noprint fullwidth">
		<base:button id="print-button" image="<%=home+"/images/print.png"%>" title="Print&hellip;" />
		<span id="printNote">
		<b>Note!</b> 
		For better printing reduce margins to about <i>5mm</i> and set page orientation
		to <i>portrait</i>.
		</span>
		<br clear="all">
	</div>

	<h1 id="libraryPreparationDilutionProtocolHeader">Dilution protocol for library preparation v1.0<span class="meludi">MeLuDI <%=meludi.getAbout().getVersion() %></span></h1>

<!-- Table with two columns; left for start plate name, right for dilution protocol date -->
	<table class="protocolheader">
	<tr>
		<th style="max-height: 1.5em; font-size: 0.9em;">Start plate</th>
		<td><span id="startplateid" style="max-height: 1.5em; font-size: 0.9em;"></span></td>
		<th style="max-height: 1.5em; font-size: 0.9em;" id="protocolDateName">Dilution protocol date</th>
		<td><span id="dilutionProtocolDate" style="max-height: 1.5em; font-size: 0.9em;"></span></td>
	</tr>
	</tbody>
	</table>
<BR>
10µl should be taken from the solution to each aliquot (FPA and FPB)
<BR>
	<table class="protocolheader" border="1">
		<tr id="extractionlist">
			<th style="font-size: 0.9em; width: 12%;">Extract</th>
			<th style="font-size: 0.9em; width: 10%;">DNA plate pos.</th>
			<th style="font-size: 0.9em; width:  3%;">FPA pos.</th>
			<th style="font-size: 0.9em; width:  3%;">FPB pos.</th>
			<th style="font-size: 0.9em; width:  7%;">Volume DNA (µl)</th>
			<th style="font-size: 0.9em; width:  7%;">Volume water (µl)</th>
			<th style="font-size: 0.9em; width: 10%;">Solution volume (µl)</th>
			<th style="font-size: 0.9em; width: 10%;">Dilution factor</th>
			<th style="font-size: 0.9em; width: 10%;">ΔCt</th>
			<th style="font-size: 0.9em; width: 10%;">DNA conc. Qubit (ng/µl)</th>
			<th style="font-size: 0.9em; width: 18%;">Remark</th>
		</tr>
	<%
	for (int itemNo = 0; itemNo < numItems; ++itemNo)
	{
		%>
		<tr>
			<td style="font-size: 0.9em; width: 12%; border-right: 1px solid #000000;"><div id="extract.<%=itemNo%>" >Extract <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 10%; text-align: center; border-right: 1px solid #000000;"><div id="dnaStorageBox.<%=itemNo%>" >DNA position <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width:  3%; text-align: center; border-right: 1px solid #000000;"><div id="fpaPos.<%=itemNo%>" >DNA volume <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width:  3%; text-align: center; border-right: 1px solid #000000;"><div id="fpbPos.<%=itemNo%>" >Water volume <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width:  7%; text-align: center; border-right: 1px solid #000000;"><div id="dnaVolume.<%=itemNo%>" >DNA volume <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width:  7%; text-align: center; border-right: 1px solid #000000;"><div id="waterVolume.<%=itemNo%>" >Water volume <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 10%; text-align: center; border-right: 1px solid #000000;"><div id="solutionVolume.<%=itemNo%>" >Solution volume <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 10%; text-align: center; border-right: 1px solid #000000;"><div id="dilutionFactor.<%=itemNo%>" >Dilution factor <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 10%; text-align: center; border-right: 1px solid #000000;"><div id="deltaCt.<%=itemNo%>" >Delta-Ct <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 10%; text-align: center; border-right: 1px solid #000000;"><div id="dnaConc.<%=itemNo%>" >DNA conc. <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 18%; border-right: 1px solid #000000;"><div id="remark.<%=itemNo%>" >Remark <%=itemNo%></div></td>
		</tr>
		<%
	}
	%>
	</table>
	<div class="pagebreak"></div>
			
	</div>
	</form>
	</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>