<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.Extract"
	import="net.sf.basedb.core.BioMaterial"
	import="net.sf.basedb.core.MeasuredBioMaterial"
	import="net.sf.basedb.core.BioMaterialEventSource"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.BioWell"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.core.ItemQuery"
	import="net.sf.basedb.core.query.Restrictions"
	import="net.sf.basedb.core.query.Hql"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.WellCoordinateFormatter"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Arrays"
	import="java.util.Enumeration"
	import="java.util.Collections"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.meludi");
final String root = request.getContextPath();
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension meludi = ExtensionsControl.get(dc).getExtension("net.sf.basedb.meludi");
	final User user = User.getById(dc, sc.getLoggedInUserId());

	String submitInfoJsonStr = Values.getStringOrNull(request.getParameter("hiddenSubmitInfo"));
	Integer numItems = Values.getInteger(request.getParameter("hiddenNumItems"), null);
	Boolean counterBalanceInfoRow = Values.getBoolean(request.getParameter("hiddenCounterBalanceInfoRow"));
%>
<base:page id="protocol" type="iframe" favicon="<%=home+"/images/report.png"%>" noskin="true">
<base:head
	scripts="~../meludi-2.js,~extraction_protocol.js" 
	styles="~../css/meludi-2.css,~../css/printable.css"
	>

	<style>
	h1
	{
		margin-top: 1em;
	}
	
	h2
	{
		margin-bottom: 0;
		font-size: 1.2em;
	}
	
	table.protocolheader
	{
		width: 100%;
		border: 1px solid #000000;
		margin-bottom: 1em;
/*
		border-collapse: collapse;
*/
	}
	
	table.protocolheader > tbody > tr
	{
		vertical-align: middle;
		height: 2.5em;
		max-height: 2.5em;
		border-bottom: 1px solid #000000;
		border-top: 1px solid #000000;
	}

	table.protocolheader > tbody > tr > th
	{
		text-align: left;
		font-size: 1em;
		background-color: #F0F0F0;
		padding: 4px;
		border-left: 1px solid #000000;
		border-right: 1px solid #000000;
	}

	table.protocolheader > tbody > tr > th.subprompt
	{
		text-align: right;
		font-weight: normal;
	}

	
	table.protocolheader > tbody > tr > td
	{
		text-align: left;
		font-size: 1em;
		padding: 4px;
	}
	
	.colorbox 
	{
		display: inline-block;
		width: 0.75em; 
		height: 0.75em; 
		border: 1px solid #000000;
		margin-left: 0em;
		margin-right: 0.5em;
	}
	
	.patient-legend
	{
		width: 8em;
		text-align: center !important;
	}
	
	.allcases-legend
	{
		width: 8em;
		text-align: center !important;
	}
	
	.green
	{
		background-color: #D8F8D8;
	}
	.green.darker
	{
		background-color: #A0F8A0;
	}
	
	.blue
	{
		background-color: #D8E8FF;
	}
	.blue.darker
	{
		background-color: #B8B8FF;
	}
	
	.yellow
	{
		background-color: #FFFFD8;
	}
	.yellow.darker
	{
		background-color: #FFFFA0;
	}
	
	.red
	{
		background-color: #FFC8C8;
	}
	.red.darker
	{
		background-color: #F8A0A0;
	}

	#allprepLabTrackingProtocolHeader
	{
		font-size: 1.2em;
	}

	.reagent
	{
		width: 70%;
		height: 80%;
		font-size: 0.9em;
	}

	.reagentheader
	{
		width: 30%;
		height: 80%;
		font-size: 0.9em;
	}
	</style>
</base:head>
<base:body>
	<div class="paper">
	<form name="meludi" id="wizard">

	<div id="page-data" class="datacontainer"
		data-submitinfo="<%=HTML.encodeTags(submitInfoJsonStr)%>"
		data-numitems="<%=numItems%>"
		data-meludiversion="<%=meludi.getAbout().getVersion()%>"
	></div>
	
	<div id="wizard-status"></div>
	
	<div id="all-protocol" style="display: none;">

	<div id="print-instructions" class="noprint fullwidth">
		<base:button id="print-button" image="<%=home+"/images/print.png"%>" title="Print&hellip;" />
		<span id="printNote">
		<b>Note!</b> 
		For better printing reduce margins to about <i>5mm</i> and set page orientation
		to <i>portrait</i>.
		</span>
		<br clear="all">
	</div>

<!--
	<h1 id="allprepLabTrackingProtocolHeader">Lab Tracking Protocol for Allprep isolation v1.0<span class="meludi">MeLuDI <%=meludi.getAbout().getVersion() %></span></h1>
-->
	<h1 id="allprepLabTrackingProtocolHeader">Lab Tracking Protocol for FFPE extraction v1.0<span class="meludi">MeLuDI <%=meludi.getAbout().getVersion() %></span></h1>
<!--
	<h1 id="allprepLabTrackingProtocolHeader2"></h1>
-->

<!--
	<table class="protocolheader" border="1">
		<tr>
			<th style="width: 10%;">Start list:</th>
			<td style="width: 30%;" id="startlistid"></td>
			<th style="width: 10%;">Operator:</th>
			<td style="width: 50%;" id="operator"></td>
		</tr>
	</table>

	<table border="1">
		<tr>
			<td style="width: 60%;">Date for isolation:</td>
			<td style="width: 40%;" id="isolationdate"></td>
		</tr>
		<tr>
			<td style="width: 60%;">FFPE DNA/RNA kit lot no.:</td>
			<td style="width: 40%;" id="ffpeDnaRnaKitLotNo"></td>
		</tr>

		<tr>
			<td style="width: 60%;">Proteinase K lot no.:</td>
			<td style="width: 40%;" id="proteinaseKLotNo"></td>
		</tr>

		<tr>
			<td style="width: 60%;">DNAse mix lot no.:</td>
			<td style="width: 40%;" id="dnaseMixLotNo"></td>
		</tr>

		<tr>
			<td style="width: 60%;">Kapa SYBR Fast lot no.:</td>
			<td style="width: 40%;" id="kapaSybrFastLotNo"></td>
		</tr>

		<tr>
			<td style="width: 60%;">Quality Control Primers (QCP) RGT no.:</td>
			<td style="width: 40%;" id="qualityControlPrimersQcpRgtNo"></td>
		</tr>

		<tr>
			<td style="width: 60%;">Quality Control Template (QCT) lot no.:</td>
			<td style="width: 40%;" id="qualityControlTemplateQctLotNo"></td>
		</tr>

		<tr>
			<td style="width: 60%;">QUBIT DNA High Sens lot no.:</td>
			<td style="width: 40%;" id="qubitDnaHighSensLotNo"></td>
		</tr>

		<tr>
			<td style="width: 60%;">QUBIT DNA Broad Range lot no.:</td>
			<td style="width: 40%;" id="qubitDnaBroadRangeLotNo"></td>
		</tr>
	</table>
-->
<!-- Table with two columns; left for isolation, right for QIAcube -->
	<table class="protocolheader">
<!--
	<tr>
		<th style="height: 60%; font-size: 0.9em;">Start list</th>
		<td><span id="startlistid" class="reagent"></span></td>
		<th style="height: 60%; font-size: 0.9em;">QIAcube date</th>
		<td><span id="qiacubeDate" class="reagent"></span></td>
	</tr>
-->
	<tr>
		<th style="max-height: 1.5em; font-size: 0.9em;">Start list</th>
<!--
		<td><span id="startlistid" class="reagent"></span></td>
-->
		<td><span id="startlistid" style="max-height: 1.5em; font-size: 0.9em;"></span></td>
		<th style="max-height: 1.5em; font-size: 0.9em;">QIAcube date</th>
<!--
		<td><span id="qiacubeDate" class="reagent"></span></td>
-->
		<td><span id="qiacubeDate" style="max-height: 1.5em; font-size: 0.9em;"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">Start date</th>
		<td><span id="isolationdate" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">Operator</th>
		<td><span id="qiacubeOperator" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">Operator</th>
		<td><span id="operator" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">EtOH 99.5%</th>
		<td><span id="etoh995" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">Protocol</th>
		<td><span id="extractionprotocol" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">Buffer RLT</th>
		<td><span id="bufferRlt" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">Xylene</th>
		<td><span id="xyleneSpecimen" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">Buffer FRN</th>
		<td><span id="bufferFrn" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">EtOH 99.5%</th>
		<td><span id="etoh995Specimen" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">Buffer RPE</th>
		<td><span id="bufferRpe" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">FFPE DNA/RNA kit</th>
		<td><span id="allPrepFfpeKit" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">RNase-free water</th>
		<td><span id="rnaseFreeWater" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">PKD buffer</th>
		<td><span id="bufferPkdSpecimen" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">DNAse mix</th>
		<td><span id="dnaseMix" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">ATL buffer</th>
		<td><span id="bufferAtlSpecimen" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">Buffer RDD</th>
		<td><span id="bufferRdd" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">Proteinase K</th>
		<td><span id="proteinaseKSpecimen" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">RNeasy Spin Column</th>
		<td><span id="rneasyMinEluteSpinColumn" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em; border-bottom: 2px solid #000000;">RNase A</th>
		<td style="border-bottom: 2px solid #000000;"><span id="rnaseASpecimen" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">Buffer AL</th>
		<td><span id="bufferAl" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">Kapa SYBR Fast</th>
		<td><span id="kapaSybrFast" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">Buffer AW1</th>
		<td><span id="bufferAw1" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">QC Template (QCT)</th>
		<td><span id="qualityControlTemplateQct" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">Buffer AW2</th>
		<td><span id="bufferAw2" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">QC Primers (QCP)</th>
		<td><span id="qualityControlPrimersQcpRgt" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">Buffer ATE</th>
		<td><span id="bufferAte" class="reagent"></span></td>
	</tr>
	<tr>
		<th style="height: 80%; font-size: 0.9em;">QUBIT DNA BR</th>
		<td><span id="qubitDnaBroadRange" class="reagent"></span></td>
		<th style="height: 80%; font-size: 0.9em;">QIAamp Spin Column</th>
		<td><span id="qiaampMinEluteSpinColumn" class="reagent"></span></td>
	</tr>
<!--
	<tr>
		<th>Xylene</th>
		<td><span id="xyleneSpecimen" class="reagent"></span></td>
		<th>EtOH 99.5% (specimen)</th>
		<td><span id="etoh995Specimen" class="reagent"></span></td>
	</tr>
	<tr>
		<th>PKD buffer</th>
		<td><span id="bufferPkdSpecimen" class="reagent"></span></td>
		<th>ATL buffer</th>
		<td><span id="bufferAtlSpecimen" class="reagent"></span></td>
	</tr>
	<tr>
		<th>Proteinase K</th>
		<td><span id="proteinaseKSpecimen" class="reagent"></span></td>
		<th>RNase A</th>
		<td><span id="rnaseASpecimen" class="reagent"></span></td>
	</tr>
	<tr>
		<th>QIAcube date</th>
		<td><span id="qiacubeDate" class="reagent"></span></td>
		<th>QIAcube operator</th>
		<td><span id="qiacubeOperator" class="reagent"></span></td>
	</tr>
	<tr>
		<th>FFPE DNA/RNA kit</th>
		<td><span id="allPrepFfpeKit" class="reagent"></span></td>
		<th>EtOH 99.5%</th>
		<td><span id="etoh995" class="reagent"></span></td>
	</tr>
	<tr>
		<th>Buffer RLT</th>
		<td><span id="bufferRlt" class="reagent"></span></td>
		<th>Buffer FRN</th>
		<td><span id="bufferFrn" class="reagent"></span></td>
	</tr>
	<tr>
		<th>Buffer RPE</th>
		<td><span id="bufferRpe" class="reagent"></span></td>
		<th>Buffer AL</th>
		<td><span id="bufferAl" class="reagent"></span></td>
	</tr>
	<tr>
		<th>Buffer AW1</th>
		<td><span id="bufferAw1" class="reagent"></span></td>
		<th>Buffer AW2</th>
		<td><span id="bufferAw2" class="reagent"></span></td>
	</tr>
	<tr>
		<th>Buffer ATE</th>
		<td><span id="bufferAte" class="reagent"></span></td>
		<th>Buffer RDD</th>
		<td><span id="bufferRdd" class="reagent"></span></td>
	</tr>
	<tr>
		<th>RNase-free water</th>
		<td><span id="rnaseFreeWater" class="reagent"></span></td>
		<th>DNAse mix</th>
		<td><span id="dnaseMix" class="reagent"></span></td>
	</tr>
	<tr>
		<th>RNeasy Min Elute Spin Column</th>
		<td><span id="rneasyMinEluteSpinColumn" class="reagent"></span></td>
		<th>QIAamp Min Elute Spin Column</th>
		<td><span id="qiaampMinEluteSpinColumn" class="reagent"></span></td>
	</tr>
	<tr>
		<th>Kapa SYBR Fast</th>
		<td><span id="kapaSybrFast" class="reagent"></span></td>
		<th>QC Primers (QCP) RGT</th>
		<td><span id="qualityControlPrimersQcpRgt" class="reagent"></span></td>
	</tr>
	<tr>
		<th>QC Template (QCT)</th>
		<td><span id="qualityControlTemplateQct" class="reagent"></span></td>
		<th>QUBIT DNA High Sens</th>
		<td><span id="qubitDnaHighSens" class="reagent"></span></td>
	</tr>
	<tr>
		<th>QUBIT DNA Broad Range</th>
		<td><span id="qubitDnaBroadRange" class="reagent"></span></td>
		<th></th>
		<td><span id="qcreagentlotnounused" class="reagent"></span></td>
	</tr>
-->
<!--
	<tr>
		<td colspan="2" rowspan="6" style="text-align: center; font-style: italic;">
			<table style="width: 100%;">
			<tr style="border-bottom-width: 0;">
				<td style="vertical-align: top; text-align: left; font-weight: bold; font-style: normal;">
					QIAcube<br>loading<br>chart
				</td>
				<td>
				</td>
			</tr>
			</table>
		</td>
		<th>QUBIT DNA Broad Range lot no.</th>
		<td><span id="qubitDnaBroadRangeLotNo" class="reagent"></td>
	</tr>
	<tr>
		<th>Buffer AW2</th>
		<td><span id="bufferAw2" class="reagent"></td>
	</tr>
	<tr>
		<th>Buffer EB</th>
		<td><span id="bufferEb" class="reagent"></td>
	</tr>
	<tr>
		<th>RNase free water</th>
		<td><span id="rnaseFreeWater" class="reagent"></td>
	</tr>
	<tr>
		<th>AllPrep DNA Mini Spin Column</th>
		<td><span id="allPrepDnaColumn" class="reagent"></td>
	</tr>
	<tr>
		<th>RNeasy Mini Spin Column</th>
		<td><span id="rneasyColumn" class="reagent"></td>
	</tr>
-->
	</tbody>
	</table>
<BR>
	<table class="protocolheader" border="1">
		<tr id="extractionlist">
			<th style="font-size: 0.9em; width: 10%;">Sample</th>
			<th style="font-size: 0.9em; width: 3%;">QIA Pos.</th>
			<th style="font-size: 0.9em; width: 3%;">ND Pos.</th>
			<th style="font-size: 0.9em; width: 10%;">RNA Plate Pos.</th>
			<th style="font-size: 0.9em; width: 12%;">RNA conc. ND (ng/µl)</th>
			<th style="font-size: 0.9em; width: 10%;">DNA Plate Pos.</th>
			<th style="font-size: 0.9em; width: 12%;">DNA conc. Qubit (ng/µl)</th>
			<th style="font-size: 0.9em; width: 14%;">Delta Ct</th>
			<th style="font-size: 0.9em; width: 26%;">Remark</th>
		</tr>
	<%
	if (counterBalanceInfoRow != null && counterBalanceInfoRow)
	{
		// Add extra row for QIAcube counterbalance
		numItems++;
	}
	for (int itemNo = 0; itemNo < numItems; ++itemNo)
	{
		%>
		<tr>
			<td style="font-size: 0.9em; width: 10%; border-right: 1px solid #000000;"><div id="sample.<%=itemNo%>" >Sample <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 8%; text-align: center; border-right: 1px solid #000000;"><div id="qiacubePosition.<%=itemNo%>" >QIAcube position <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 10%; text-align: center; border-right: 1px solid #000000;"><div id="nanodropPlatePosition.<%=itemNo%>" >NanoDrop plate position <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 10%; text-align: center; border-right: 1px solid #000000;"><div id="rnaStorageBox.<%=itemNo%>" >RNA position <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 9%; border-right: 1px solid #000000;"><div id="rnaConc.<%=itemNo%>" >RNA conc. <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 10%; text-align: center; border-right: 1px solid #000000;"><div id="dnaStorageBox.<%=itemNo%>" >DNA position <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 9%; border-right: 1px solid #000000;"><div id="dnaConc.<%=itemNo%>" >DNA conc. <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 9%; border-right: 1px solid #000000;"><div id="deltaCt.<%=itemNo%>" >Delta-Ct <%=itemNo%></div></td>
			<td style="font-size: 0.9em; width: 25%; border-right: 1px solid #000000;"><div id="remark.<%=itemNo%>" >Remark <%=itemNo%></div></td>
		</tr>
		<%
	}
	%>
	</table>
<!--
	<table border="1">
		<tr>
			<td style="width: 25%;">DNA elution volume:</td>
			<td style="width: 75%;" id="dnaElutionVolume"></td>
		</tr>
		<tr>
			<td style="width: 25%;">DNAse treated RNA:</td>
			<td style="width: 75%;"></td>
		</tr>

		<tr style="height: 10em; vertical-align: top;">
			<td style="width: 25%;">Proteinase K treatment:</td>
			<td style="width: 75%;"></td>
		</tr>
	</table>
-->
	<div class="pagebreak"></div>
			
	</div>
	</form>
	</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>