<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.DbControl"	
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.ItemContext"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="java.util.List"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.meludi");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../meludi-2.js,~extramaterial.js" 
	styles="path.css,~../css/meludi-2.css"
	>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Extra material registration" 
		/></p:path>
	
	<div class="content">

	<form name="meludi" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Enter number of extra material to register</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">Number of extra material</td>
				<td class="input">
					<input type="text" name="nofExtraMaterial" id="nofExtraMaterial"
						class="required auto-init" data-auto-init="focus"  data-next-focus="arrivalDate"
						style="width: 12em;" maxlength="4" value="1">
				</td>
				<td class="status" id="nofExtraMaterial.status"></td>
				<td class="help">
					<span id="nofExtraMaterial.message" class="message"></span>
					Number of extra material to register.
				</td>
			</tr>
			<tr valign="top">
				<td class="prompt">Arrival date (default)</td>
				<td class="input">
					<input type="text" name="arrivalDateDefault" id="arrivalDateDefault" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="gonext"
						data-disallow-future-date="1"
						style="width: 12em;" maxlength="10">
						<base:icon 
							id="arrivalDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="arrivalDateDefault"
							data-date-format="yyyyMMdd"
							data-title="Arrival date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="arrivalDateDefault.status"></td>
				<td class="help">
					<span id="arrivalDateDefault.message" class="message"></span>
					Default date when the specimen tubes arrived (YYYYMMDD or MMDD). If tubes arrived on different dates, enter these in next step.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Enter information on extra material</div>
		<div class="step-content">
		
			<div class="bg-filled-50" style="padding: 2px;">
				Name of extra material must fulfill the following conditions:<br>
				<br>
				1. The name may only contain letters, figures, underscores "_", and hyphens "-".<br>
				2. The name must contain at least one letter.<br>
				3. The name must not start with underscore "_" or hyphen "-".<br>
				4. The name must not start with "ML", since that is reserved for MeLuDI items.<br>
			</div>
			<table id="extra-material" class="step-form">
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td><base:button id="gostop" title="Stop" image="cancel.png" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>